Bug 1125832 - [abrt] anjuta: ianjuta_provider_populate(): anjuta killed by SIGSEGV
Summary: [abrt] anjuta: ianjuta_provider_populate(): anjuta killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cosimo Cecchi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d16848321d7d396aa8617b82d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 07:57 UTC by Gwendal
Modified: 2015-06-29 21:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:19 UTC


Attachments (Terms of Use)
File: backtrace (27.28 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: core_backtrace (15.72 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: dso_list (13.23 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: environ (1.40 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: exploitable (110 bytes, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: maps (63.19 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: open_fds (3.56 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details
File: var_log_messages (1.27 KB, text/plain)
2014-08-01 07:57 UTC, Gwendal
no flags Details

Description Gwendal 2014-08-01 07:57:31 UTC
Description of problem:
I was writing some Python when it crashed.

Version-Release number of selected component:
anjuta-3.10.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        anjuta
crash_function: ianjuta_provider_populate
executable:     /usr/bin/anjuta
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 ianjuta_provider_populate at ianjuta-provider.c:127
 #1 sourceview_provider_populate at sourceview-provider.c:57
 #2 update_completion at gtksourcecompletion.c:1345
 #3 auto_completion_final at gtksourcecompletion.c:1363
 #8 g_main_context_iteration at gmain.c:3774
 #9 g_application_run at gapplication.c:1635

Potential duplicate: bug 894553

Comment 1 Gwendal 2014-08-01 07:57:34 UTC
Created attachment 923129 [details]
File: backtrace

Comment 2 Gwendal 2014-08-01 07:57:35 UTC
Created attachment 923130 [details]
File: cgroup

Comment 3 Gwendal 2014-08-01 07:57:36 UTC
Created attachment 923131 [details]
File: core_backtrace

Comment 4 Gwendal 2014-08-01 07:57:37 UTC
Created attachment 923132 [details]
File: dso_list

Comment 5 Gwendal 2014-08-01 07:57:39 UTC
Created attachment 923133 [details]
File: environ

Comment 6 Gwendal 2014-08-01 07:57:40 UTC
Created attachment 923134 [details]
File: exploitable

Comment 7 Gwendal 2014-08-01 07:57:41 UTC
Created attachment 923135 [details]
File: limits

Comment 8 Gwendal 2014-08-01 07:57:42 UTC
Created attachment 923136 [details]
File: maps

Comment 9 Gwendal 2014-08-01 07:57:43 UTC
Created attachment 923137 [details]
File: open_fds

Comment 10 Gwendal 2014-08-01 07:57:44 UTC
Created attachment 923138 [details]
File: proc_pid_status

Comment 11 Gwendal 2014-08-01 07:57:45 UTC
Created attachment 923139 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:32:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:53:19 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.